Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.filters
Class CompositeFilter

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--com.sun.jimi.core.filters.ImageFilterPlus
                  |
                  +--com.sun.jimi.core.filters.CompositeFilter

public class CompositeFilter
extends ImageFilterPlus

Fields inherited from class com.sun.jimi.core.filters.ImageFilterPlus
`rgbModel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`CompositeFilter(java.awt.image.ImageProducer producer, ImageFilterPlus filterOne, ImageFilterPlus filterTwo)`

Method Summary
`java.awt.image.ImageFilter` | `getFilterInstance(java.awt.image.ImageConsumer consumer)`
`void` | `imageComplete(int status)`
`void` | `setColorModel(java.awt.image.ColorModel model)`
`void` | `setDimensions(int width, int height)`
`void` | `setHints(int hintflags)`
`void` | `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize)`
`void` | `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize)`
`void` | `setProperties(java.util.Hashtable props)`

Methods inherited from class com.sun.jimi.core.filters.ImageFilterPlus
`filterStream, getSource, setSource`

Methods inherited from class java.awt.image.ImageFilter
`clone, resendTopDownLeftRight`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeFilter

    public CompositeFilter(java.awt.image.ImageProducer producer,
                           ImageFilterPlus filterOne,
                           ImageFilterPlus filterTwo)

Method Detail

### getFilterInstance

    public java.awt.image.ImageFilter getFilterInstance(java.awt.image.ImageConsumer consumer)

  Overrides:
    getFilterInstance in class java.awt.image.ImageFilter

### setColorModel

    public void setColorModel(java.awt.image.ColorModel model)

  Overrides:
    setColorModel in class java.awt.image.ImageFilter

### setDimensions

    public void setDimensions(int width,
                              int height)

  Overrides:
    setDimensions in class java.awt.image.ImageFilter

### setHints

    public void setHints(int hintflags)

  Overrides:
    setHints in class ImageFilterPlus

### setProperties

    public void setProperties(java.util.Hashtable props)

  Overrides:
    setProperties in class java.awt.image.ImageFilter

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel model,
                          byte[] pixels,
                          int off,
                          int scansize)

  Overrides:
    setPixels in class java.awt.image.ImageFilter

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel model,
                          int[] pixels,
                          int off,
                          int scansize)

  Overrides:
    setPixels in class java.awt.image.ImageFilter

### imageComplete

    public void imageComplete(int status)

  Overrides:
    imageComplete in class ImageFilterPlus

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD